Subject: [os2genau_digest] No. 1764
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 1 Jan 2009 00:00:41 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 31 December 2008
 Number  1764
**************************************************

Subjects for today
 
1  Re:  Java programming : Peter Moylan <peter at pmoylan dot org>
2  Re:  Java programming : Ian Manners" <deadmail>
3  Re:  Java programming : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  Java programming : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Wed, 31 Dec 2008 00:38:12 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Java programming

Voytek Eymont wrote:
> <quote who="Voytek Eymont">
>
>
>   
>> I coulkd find nothing there, but, found this:
>>     
>
>   
>> http://download.innotek.de/javaos2/142_09/install.exe
>>     
>
>
> I'm getting "innotek runtime not installed'....
>
> is the innotek runtime somekind of win32 run time, like Odin ?
>
>
>
>   
Yes. It is a library that translates calls to Windows functions into 
calls to the OS/2 equivalent functions.

Obviously it is incomplete. It does not include the undocumented 
functions (that, according to some court decisions, do not exist; 
because Microsoft has already documented the undocumented functions) 
that allow MS-Office to run faster than OpenOffice.

Not that it matters. The people who understand the difference are 
already using OpenOffice. (Which runs under Windows a lot better than it 
runs under OS/2. And which runs under Windows about as well as 
MS-Office, although there are still compatibility problems between the 
substandard OpenOffice equation editor and the even more substandard 
MS-Word equation editor.) The people who don't understand the difference 
will continue to pay the exorbitant price for MS-Office, because it was 
bundled in with the price for the computer, and because the salesperson 
told them that MS-Office is an integral part of the computer hardware.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 31 Dec 2008 01:28:25 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  Java programming

http://www.os2site dot com/sw/dev/InnoTek/index.html
and
your could have got Java from
http://www.os2site dot com/sw/dev/java/java142_09/index.html

Currently you need to install Sun's Java 1.5 under Windows
and copy the directory structure to OS/2 to replace v1.4.2 and
it should run with Innowin.

I think it was Ed that gave a summary of how to do it.
Look in the os2genau mailing list archives or maybe its on
os2world dot com

Happy new year to everyone cause I wont be here to say it then :-)

Cheers
Ian Manners
http://www.os2site dot com/

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Tue, 30 Dec 2008 23:13:54 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Java programming

Voytek Eymont wrote:
> <quote who="Voytek Eymont">
>
>   
>> http://download.innotek.de/javaos2/142_09/install.exe
>>     
>
>
> Mike, thanks, I've now got:
>
> 0[roman][F:\java142\bin]java -version
>
> java version "1.4.2_09"
> Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_09-b05)
> Java HotSpot(TM) Client VM (build 1.4.2_09-b05, mixed mode)
>
> 0[roman][F:\java142\bin]java -fullversion
>
> java full version "1.4.2_09-b05"
>
>   
That's what I have as well.

As for v 1.5 and v 1.6, some people on the UK OS/2 list (I think) have 
suggested that by replacing the appropriate files it may be possible to 
"upgrade" the Innotek version to 1.5 at least - but I think only as a 
standalone Java, not as a plugin in the browser.

Basically Innotek used ODIN technology to create these builds of Java, 
with the point that when a new (windows) version of Java came out from 
SUN they could quickly create a new version. Since Innotek no longer 
exists, having been swollowed up by SUN, they are no longer developing 
this. There was an alternative "compiled into OS/2 native code" solution 
from Goldencode however as this was a purchasable product where the 
Innotek was free, it didn't stand much chance of survival. I don't 
believe this company is  still creating a Java release for OS/2 - but I 
could be wrong. I think we would have heard, had Goldencode released a 
Java v 1.5 or 1.6 for OS/2.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 31 Dec 2008 08:38:28 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Java programming

<quote who="Peter Moylan">

> Obviously it is incomplete. It does not include the undocumented
> functions (that, according to some court decisions, do not exist; because
> Microsoft has already documented the undocumented functions)
> that allow MS-Office to run faster than OpenOffice.
>
> Not that it matters. The people who understand the difference are
> already using OpenOffice. (Which runs under Windows a lot better than it
> runs under OS/2. And which runs under Windows about as well as MS-Office,
> although there are still compatibility problems between the substandard
> OpenOffice equation editor and the even more substandard

yes, I've recently installed OO/windoze, and, was pleasantly surprised, it
was heaps better that my previous experience

> MS-Word equation editor.) The people who don't understand the difference
> will continue to pay the exorbitant price for MS-Office, because it was
> bundled in with the price for the computer, and because the salesperson
> told them that MS-Office is an integral part of the computer hardware.

ufortunately, that's the way it is, for an average uneducated masses, ms
is a 'better' choice

like, no one got fired for buying an IBM.

like, what good am I for the PC industry, when I still use Compaq Deskpro
P2 350, and, I'm perfectly happy with it ? and, my fax server runs on 486
? and, my faxes are perfectly happy with it ?

-- 
Voytek

----------------------------------------------------------------------------------